# Class JSOFA.ICRFrame

java.lang.Object
org.jastronomy.jsofa.JSOFA.ICRFrame

Enclosing class:
  `JSOFA`

public static class JSOFA.ICRFrame extends Object
The Celestial Intermediate Pole coordinates are the x,y components of the unit vector in the Geocentric Celestial Reference System. The CIO locator s (in radians) positions the Celestial Intermediate Origin on the equator of the CIP.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 1 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`JSOFA.CelestialIntermediatePole`
`cip`
`double`
`s`

## Constructor Summary

Constructors
Constructor
Description
`ICRFrame(JSOFA.CelestialIntermediatePole cip, double s)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cip

public JSOFA.CelestialIntermediatePole cip

### s

public double s

## Constructor Details

### ICRFrame

public ICRFrame(JSOFA.CelestialIntermediatePole cip, double s)